include ../../components/fieldErrors.pug

div#modalDesativar.modal.fade

	.modal-dialog

		form(name="formModal", novalidate)

			.modal-content

				.modal-header

					h2.modal-title(id="modal-title") Desativação de usuário

				.modal-body(id="modal-body")

					.alert-modal.alert-warning-div(ng-show="temAgendaDesativacao", uib-alert, close="temAgendaDesativacao = false")
						| Já existe uma desativação prevista para o dia {{pessoaDesativar.usuario.agendaDesativacao.dataInicio | date : "dd/MM/yyyy"}}.
						| Ao confirmar nova desativação, a data anteriormente prevista será desconsiderada.

					.row
						.col-md-12
							.form-group
								label(for="motivo") Motivo: *
								select.form-control(name="motivoDesativacao", ng-options="motivo as motivo.descricao for motivo in motivos track by motivo.descricao", ng-model="pessoaDesativar.desativacao.motivo", required)
									option.option-select(value="", disabled, selected) Selecione

								+fieldErrors(formName="formModal",field="motivoDesativacao", errors=["required"])

					.row
						.col-md-12
							.form-group(ng-show="pessoaDesativar.desativacao.motivo.descricao == 'Outro'")
								label(for="descricao") Descrição: *
								textarea.form-control(rows="4", name='descricao', ng-model='pessoaDesativar.desativacao.descricao', ng-required="pessoaDesativar.desativacao.motivo.descricao == 'Outro'")
								+fieldErrors(formName="formModal",field="descricao", errors=["required"])

					.row
						.col-md-12
							.form-group.checkbox
								label#label-input-checkbox Período: *
								label
									input(type="checkbox", name="tempoIndeterminado", ng-model='pessoaDesativar.desativacao.tempoIndeterminado', ng-required="!pessoaDesativar.desativacao.dataInicio && !pessoaDesativar.desativacao.dataFim")
									span.checkbox-material
										span.check
									|	Desativar por tempo indeterminado

					.row
						.col-md-6
							.form-group
								label(for='dataInicio') De:
								.input-group
									input.form-control(type='text', name='dataInicio', uib-datepicker-popup="dd/MM/yyyy", ng-model='pessoaDesativar.desativacao.dataInicio', datepicker-options="datepickerOptionsInicio", is-open="datepickerInicio.opened", ng-required="!pessoaDesativar.desativacao.tempoIndeterminado", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", min-date="datepickerOptionsInicio.minDate", ng-disabled="pessoaDesativar.desativacao.tempoIndeterminado")
									span.input-group-btn
										button.btn.btn-group.btn-raised.btn-disabled.btn-raised-shadow(type="button", ng-click="datepickerInicio.opened = true", ng-disabled="pessoaDesativar.desativacao.tempoIndeterminado")
											i.material-icons today
								+fieldErrors(formName="formModal",field="dataInicio", errors=["required", "date", "minDate"])


						.col-md-6
							.form-group
								label(for='dataFim') Até:
								.input-group
									input.form-control(type='text', name='dataFim', uib-datepicker-popup="dd/MM/yyyy", ng-model='pessoaDesativar.desativacao.dataFim', datepicker-options="datepickerOptionsFim", is-open="datepickerFim.opened", ng-required="!pessoaDesativar.desativacao.tempoIndeterminado", ui-mask="99/99/9999", ui-mask-placeholder-char="space", model-view-value="true", min-date="datepickerOptionsFim.minDate", ng-disabled="pessoaDesativar.desativacao.tempoIndeterminado")
									span.input-group-btn
										button.btn.btn-group.btn-raised.btn-disabled.btn-raised-shadow(type="button", ng-click="datepickerFim.opened = true", ng-disabled="pessoaDesativar.desativacao.tempoIndeterminado")
											i.material-icons today
								+fieldErrors(formName="formModal",field="dataFim", errors=["required", "date", "minDate"])

				.modal-footer.padding-modal-footer
					.pull-left
						button.btn.btn-default.btn-raised(type="button", ng-click="fecharModal('modalDesativar')", tabindex='-1') Cancelar
					.pull-right
						button.btn.btn-primary.btn-raised(type="submit", ng-click="desativar()") Confirmar
